Class
PhusionPassenger::ClassicRails::RequestHandler

In: | lib/phusion_passenger/classic_rails/request_handler.rb
Parent: | AbstractRequestHandler

A request handler for Ruby on Rails applications.

Methods

- new
- process_request

Constants

NINJA_PATCHING_LOCK | = | Mutex.new # :nodoc:

Public Class methods
new(owner_pipe, options = {})

[ show source ]

        # File lib/phusion_passenger/classic_rails/request_handler.rb, line 38
    38:         def initialize(owner_pipe, options = {})
    39:                 super(owner_pipe, options)
    40:                 NINJA_PATCHING_LOCK.synchronize do
    41:                         ninja_patch_action_controller
    42:                 end
    43:         end

Protected Instance methods
process_request(headers, input, output, status_line_desired)

Overrided method.

[ show source ]

        # File lib/phusion_passenger/classic_rails/request_handler.rb, line 47
    47:         def process_request(headers, input, output, status_line_desired)
    48:                 # FIXME: how to print status line?
    49:                 headers[CONTENT_LENGTH] = headers[HTTP_CONTENT_LENGTH]
    50:                 cgi = CGIFixed.new(headers, input, output)
    51:                 ::Dispatcher.dispatch(cgi,
    52:                         ::ActionController::CgiRequest::DEFAULT_SESSION_OPTIONS,
    53:                         cgi.stdoutput)
    54:         end